Home » Android » IntelliJ new android gradle plugin (0.14.+)

IntelliJ new android gradle plugin (0.14.+)

Posted by: admin April 23, 2020 Leave a comment

Questions:

I’m trying to use the new android gradle plugin in IntelliJ but I can’t seem to build my project using the new gradle plugin.

I modified the dependencies in the application’s build.gradle file to "classpath 'com.android.tools.build:gradle:0.14.+'", I have updated the gradle to 2.1 and I have updated the build.gradle file in my module.

I keep getting this error in the IntelliJ logs:

I am doing something wrong ? Or at this moment it isn’t possible to use the new android gradle plugin on IntelliJ, althought I’ve read that IntelliJ should have all the features that Android Studio has.

PS: I’m using IntelliJ Ultimate version and I’m avoiding to move to Android Studio as some features from the Ultimate version won’t be available in Android Studio.

[Update] After some more research I found from another SO question that IntelliJ doesn’t keep up with android gradle plugin. There is some delay between AS and IntelliJ. More info can be found here: What is the Android plugin version included in IntelliJ IDEA? on @Scott Barta response.

As it seems IntelliJ 13.1.5 supports only com.android.tools.build:gradle:0.13.0. Maybe in a few days/weeks IntelliJ will pull the android gradle plugin from AS and push it into their product.

How to&Answers:

This is a duplicate of UnsupportedMethodException Android Studio 0.8.9

You either need to upgrade Android Studio to 0.9 or downgrade the android plugin to lower than 14 in your build.gradle

Answer:

Just updating dosn’t work for me. what worked is update the beta version than udate in the canary channel after updating the beta version

Just click on update then change the channel and the click on oK

Answer:

just try this https://stackoverflow.com/a/22308639/663540

When I update the gradle plugins to 0.14 in build.gradle,I met the error DefaultActivity not found, I try the answer above and finally build successful in IDEA 14.

It seams that you error stack is related to the problem I met.

Answer:

I’ve tested with build 139.658.4, released on December 4th, 2014 and it’s working fine with plugin 0.14.4

If you want to give a try:

http://confluence.jetbrains.com/display/IDEADEV/IDEA+14+EAP